Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util.introspection
Class UberspectImpl.VelMethodImpl

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.introspection.UberspectImpl.VelMethodImpl

All Implemented Interfaces:
  VelMethod

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelMethodImpl
extends Object
implements VelMethod

An implementation of `VelMethod`.

Field Summary
`protected Method` | `method` the method.

Constructor Summary
`UberspectImpl.VelMethodImpl(Method m)` Create a new instance.

Method Summary
`String` | `getMethodName()` {@inheritDoc}
`Class` | `getReturnType()` {@inheritDoc}
`Object` | `invoke(Object o, Object[] params)` {@inheritDoc}
`boolean` | `isCacheable()` {@inheritDoc}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### method

    protected Method method

  the method.

Constructor Detail

### UberspectImpl.VelMethodImpl

    public UberspectImpl.VelMethodImpl(Method m)

  Create a new instance.
  Parameters:
    `m` - the method.

Method Detail

### invoke

    public Object invoke(Object o,
                         Object[] params)
                  throws Exception

  {@inheritDoc}
  Specified by:
    `invoke` in interface `VelMethod`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelMethod`
  Parameters:
    `o` - the object
    `params` - method parameters.
  Returns:
    the result
  Throws:
    `Exception` - on any error.

### isCacheable

    public boolean isCacheable()

  {@inheritDoc}
  Specified by:
    `isCacheable` in interface `VelMethod`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelMethod`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public String getMethodName()

  {@inheritDoc}
  Specified by:
    `getMethodName` in interface `VelMethod`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelMethod`
  Returns:
    method name

### getReturnType

    public Class getReturnType()

  {@inheritDoc}
  Specified by:
    `getReturnType` in interface `VelMethod`
  Following copied from interface: `org.apache.commons.jexl.util.introspection.VelMethod`
  Returns:
    return type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.